# $Revision: 1.20 $, $Date: 2004/09/14 12:47:37 $
Summary:	kxmleditor - tool to display and edit contents of XML file for KDE
Summary(pl):	kxmleditor - narzdzie do ogldania i edycji plikw XML dla KDE
Name:		kxmleditor
Version:	1.1.3
Release:	1
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	0edae2359e6260524481b920d58580da
Source1:	http://ep09.pld-linux.org/~djurban/kde/kde-common-admin.tar.bz2
# Source1-md5:	e5c75ce22f1525b13532b519ae88e7a4
Patch0:		%{name}-desktop.patch
URL:		http://kxmleditor.sourceforge.net/
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  kdelibs-devel >= 9:3.2.0
BuildRequires:  unsermake >= 040511
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KXML Editor is program, that display and edit contents of XML file.
Main features: Drag and drop editing, clipboard support, use of DOM
level 2 Qt library parser, KParts technology support, DCOP technology
support, editing KOffice compressed files.

%description -l pl
KXML Editor jest programem ktry wywietla i edytuje zawarto plikw
XML. Gwne waciwoci: edycja drag&drop, wsparcie dla schowka,
uywanie parsera DOM z biblioteki Qt, wsparcie dla technologii KParts,
wsparcie dla technologii DCOP, edycja skompresowanych plikw KOffice.

%prep
%setup -q -a1
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake
%{__make} -f admin/Makefile.common cvs

%configure \
	--enable-final \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--with-qt-libraries=%{_libdir} \
	--with-xinerama

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}


mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
# KDE module, (lt_)dlopened - .la needed
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%{_libdir}/*.la
%{_datadir}/apps/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/services/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kxmleditor.spec,v $
Revision 1.20  2004/09/14 12:47:37  djurban
- version 1.1.3 (12.09.04) stbring

Revision 1.19  2004/08/21 20:08:29  ankry
- rel. 2 to rebuild

Revision 1.18  2004/07/15 12:19:26  qboosh
- updated to 1.1.0, added desktop patch

Revision 1.17  2004/02/06 09:38:01  qboosh
- fixed _desktopdir usage, switched to iconsdir, restored amd64 fixes

Revision 1.16  2004/02/06 08:24:11  gotar
- moved desktop file to %{_desktopdir}

Revision 1.15  2004/02/06 08:17:16  gotar
- %debug ready,
- comments are back.

Revision 1.14  2004/02/06 08:09:14  gotar
- upgrade to 1.0.0 from Tomasz Kowalczyk kowalczt at ee pw edu pl

Revision 1.13  2004/01/12 14:56:44  matkor
- Version 0.9.2-1.

Revision 1.12  2004/01/08 12:14:50  jajcus
- Release: 2
- AMD64 build fix

Revision 1.11  2004/01/06 20:28:27  matkor
- Ver. 0.9.1. Release 1.

Revision 1.10  2003/12/26 17:07:35  matkor
- Ver. 0.9.0. Rel. 1.

Revision 1.9  2003/12/14 20:14:12  matkor
- Version 0.8.5. Release 1.

Revision 1.8  2003/12/13 15:25:56  matkor
- Version 0.8.4. Release 1.

Revision 1.7  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.6  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/08 22:01:41  djurban
- fixed applnk
- no 755 for .la

Revision 1.3  2003/04/08 21:56:50  djurban
- fixed %%lang

Revision 1.2  2003/03/29 19:24:38  qboosh
- path fixes (untested)

Revision 1.1  2003/02/16 14:28:25  matkor
- Inital spec.
